Subject: Re: GIT on MinGW problem

From: Johannes Sixt <[email-masked]>
Date: Tue, 29 May 2007 16:13:22 +0200

Johannes Schindelin wrote:
> There are at least three different cmd.exe that _I_ encountered: NT4.0,
> 2000 and XP. All of them have different features. None of my scripts
> worked without _heavy_ workarounding on all of them.
> 
> But I think a .lnk file would be easier to create, and more portable,
> right?

If:

1. there is a .lnk file named gitk.lnk with target for example:

    D:\MSYS\1.0\mingw\bin\wish84.exe D:\MSYS\1.0\git\bin\gitk

2. you change PATHEXT to include '.LNK'.

then gitk can be invoked with varying arguments from CMD. I've tested
this only on W2k. Point 2 looks hackish and dangerous to me.

-- Hannes